Package Details: wps-office 10.1.0.6634-3

Git Clone URL: https://aur.archlinux.org/wps-office.git (read-only)
Package Base: wps-office
Description: Kingsoft Office (WPS Office) is an office productivity suite
Upstream URL: http://wps-community.org/
Licenses: custom
Conflicts: kingsoft-office
Submitter: felixonmars
Maintainer: Universebenzene
Last Packager: Universebenzene
Votes: 369
Popularity: 6.284363
First Submitted: 2014-08-17 11:57
Last Updated: 2018-06-07 12:13

Sources (2)

Pinned Comments

attenuation commented on 2017-11-29 14:16

About the software issues, you can go to the official feedback problem. I'm just a packager, I can not solve the software problem.

Latest Comments

ppc52776 commented on 2018-06-18 17:19

How to change UI language to zh_TW?

Universebenzene commented on 2018-06-07 12:15

Thanks @lilydjwg. I remove the qt4 from depends. As a newbie I often make mistakes in packaging. Thank you all for helping me.

lilydjwg commented on 2018-06-07 07:30

This package doesn't depend on qt4. It bundles one itself.

Universebenzene commented on 2018-06-07 05:50

@miku84 the dependency qt4 was shown by namcap. If I build the package without writing qt4 in the depends, namcap said: wps-office E: Dependency qt4 detected and not included (libraries ['usr/lib/libQtOpenGL.so.4', 'usr/lib/libQtSvg.so.4', 'usr/lib/libQtCore.so.4', 'usr/lib/libQtNetwork.so.4', 'usr/lib/libQtDBus.so.4'] needed in files.... So I add qt4 in depends

miku84 commented on 2018-06-07 05:42

It uses qt4 instead of qt5? Can it be replaced with it?

StratosL commented on 2018-06-03 09:58

Open file dialog not working explanation and solution: http://wps-community.org/forum/viewtopic.php?f=4&t=396

"...because most of the class names conficts with KDE's (KApplication, KDialog, etc, our product also use 'K' for class prefix :( ) So the open/save dialog in KDE we use kdialog, if you meet problem, you still can disable it.

Just add: export WPS_NO_KDE_NATIVE_DIALOG=1 to scripts "wps", "wpp", and "et" in /usr/bin

postadelmaga commented on 2018-05-02 03:11

@es_18

Actually there is an AUR for that https://aur.archlinux.org/packages/ttf-wps-fonts/ If the fonts are required I think @ouyangjun can add that AUR to the dependency

es_18 commented on 2018-04-18 12:51

You can use this repo to install the missing fonts: https://github.com/IamDH4/ttf-wps-fonts

debo commented on 2018-01-01 15:27

@metrofx done, thanks for the comment.

metrofx commented on 2018-01-01 10:36

@debo please remove the out-of-date flag, thanks.

All comments